List vault outbound shipments
curl --request GET \
--url https://api.collectpure.com/vault/get-outbound-shipments/v1 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/vault/get-outbound-shipments/v1"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/vault/get-outbound-shipments/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"fboAccountId": "<string>",
"status": "<string>",
"createdAt": "<string>",
"shippedAt": 123,
"deliveredAt": 123,
"items": [
{
"id": "<string>",
"createdAt": "<string>",
"outboundShipmentId": "<string>",
"inventoryItemId": "<string>",
"productId": "<string>",
"outboundRequestItemId": "<string>",
"inboundShipmentId": "<string>",
"inboundShipmentLineId": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"hasMore": true
}
}Vault API (Alpha)
List vault outbound shipments
List outbound vault shipments for the authenticated organization’s FBO account. Pass includeLineItems=true to include items on each shipment.
Requires: vault enabled on the organization.
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
vault
/
get-outbound-shipments
/
v1
List vault outbound shipments
Authorizations
API key for authentication
Query Parameters
Page number (default 1)
Required range:
1 <= x <= 9007199254740991Maximum number of records to return (default 20, max 100)
Required range:
1 <= x <= 100Filter by vault status
Minimum string length:
1When true, include nested line items
Was this page helpful?
⌘I